package org.artifactory.ph;

import org.apache.http.client.methods.CloseableHttpResponse;
import org.artifactory.addon.xray.XrayAddon;
import org.artifactory.core.api.ph.service.PackageXrayService;
import org.jetbrains.annotations.Nullable;

public class PackageXrayServiceImpl implements PackageXrayService {

    private final XrayAddon xrayAddon;

    public PackageXrayServiceImpl(XrayAddon xrayAddon) {
        this.xrayAddon = xrayAddon;
    }

    @Override
    public boolean isXrayEnabled() {
        return xrayAddon.isXrayEnabled();
    }

    @Nullable
    @Override
    public CloseableHttpResponse npmAuditReport(boolean isQuick, String auditRequestData,
            String optionalReportToEnhance) {
        return xrayAddon.npmAuditReport(isQuick, auditRequestData, optionalReportToEnhance);
    }

    @Override
    public boolean isXrayAliveByHeartbeat() {
        return xrayAddon.isXrayAliveByHeartbeat();
    }
}
