package org.artifactory.ph;

import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import org.artifactory.core.api.ph.vcs.configuration.PhVcsGitConfiguration;
import org.artifactory.core.api.ph.vcs.configuration.PhVcsGitProvider;
import org.artifactory.descriptor.repo.VcsGitConfiguration;

@NoArgsConstructor(access = AccessLevel.PRIVATE)
public class PhVcsConfigurationMapper {

    public static PhVcsGitConfiguration from(VcsGitConfiguration vcsGitConfiguration) {
        PhVcsGitConfiguration phVcsGitConfig = new PhVcsGitConfiguration();
        phVcsGitConfig.setDownloadUrl(vcsGitConfiguration.getDownloadUrl());
        switch (vcsGitConfiguration.getProvider()) {
            case STASH:
                phVcsGitConfig.setProvider(PhVcsGitProvider.STASH);
                break;
            case ARTIFACTORY:
                phVcsGitConfig.setProvider(PhVcsGitProvider.ARTIFACTORY);
                break;
            case CUSTOM:
                phVcsGitConfig.setProvider(PhVcsGitProvider.CUSTOM);
                break;
            case GITHUB:
                phVcsGitConfig.setProvider(PhVcsGitProvider.GITHUB);
                break;
            case BITBUCKET:
                phVcsGitConfig.setProvider(PhVcsGitProvider.BITBUCKET);
                break;
            case OLDSTASH:
                phVcsGitConfig.setProvider(PhVcsGitProvider.OLDSTASH);
                break;
        }
        return phVcsGitConfig;
    }
}
