package org.artifactory.repo.http;

import com.google.common.cache.Cache;
import com.google.common.cache.CacheBuilder;
import org.artifactory.common.ConstantValues;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;

@Service
public class DenyListCacheHolderService {

    private final Cache<String, Boolean> denyListCache = CacheBuilder.newBuilder()
            .initialCapacity(1000)
            .maximumSize(10000)
            .expireAfterWrite(ConstantValues.httpRepoDenyListCacheEvictionTime.getLong(), TimeUnit.MINUTES)
            .build();

    public Cache<String, Boolean> getDenyListCache() {
        return denyListCache;
    }
}
