package org.artifactory.core.api.ph.listener;


/**
 * Manage the listeners for RT config changes provided by the
 * {@link org.artifactory.ph.PackageConfigurationChangesInterceptorImpl}
 *
 * The Implementation is provided by the package handler (in OSS, a default empty bean is loaded by the core)
 */
public interface PackageConfigChangedEventListener {

    /**
     * Respond to global config changes in RT (e.g BASE_URL)
     *
     * @param packageConfigChangedEventType - The changed config
     */
    void onGlobalConfigChange(PackageConfigChangedEventType packageConfigChangedEventType);
}
