package org.artifactory.core.api.ph.model;

import lombok.Builder;
import lombok.Getter;

/**
 * Describes how search by property should take place. propertyName is always compared case-sensitive.
 * Comparison for propertyValue is dependent on isCaseSensitive value.
 *
 * @author Volodymyr Shulga
 */

@Getter
@Builder
public class FilteringProperty {
    private String propertyName;
    private String propertyValue;
    private boolean isCaseSensitive = true;
}

