package org.artifactory.core.api.ph.model;

import com.google.common.collect.ImmutableSetMultimap;
import com.google.common.collect.SetMultimap;
import lombok.Builder;
import lombok.Getter;
import org.artifactory.common.repo.PackageType;


@Getter
@Builder(toBuilder = true)
public class PackageArtifact {
    @Builder.Default
    private SetMultimap<String, String> properties = ImmutableSetMultimap.of();
    private final String repoKey;
    private final String path;
    private final String sha1;
    private final String sha2;
    private final String md5;
    private final long length;
    private final long id;
    private final boolean file;
    private final long created;
    private final long lastUpdated;
    private final long lastModified;
    private final String name;
    private final String createdBy;
    private final String modifiedBy;
    private final PackageType packageType;
    // .include(statistic().downloads()) needed to be fulfilled correctly.
    private final long downloadCount;
}
