package org.artifactory.core.api.ph.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;

/**
 * Encapsulate details that can be consumed in aql search
 *
 * @author asaf zalcman
 */
@Getter
@Builder
@AllArgsConstructor
public class PackageSearchContext {
    private String repoKey;
    private String path;
    private long limit = -1; // limit number of results
    private int offset = 0; // for paging

    public PackageSearchContext(String repoKey, String path) {
        this.repoKey = repoKey;
        this.path = path;
    }
}
