package org.artifactory.core.api.ph.service;

import org.springframework.scheduling.concurrent.ConcurrentTaskExecutor;

import java.util.concurrent.AbstractExecutorService;

/**
 * Supplier for the default ConcurrentTaskExecutor (CachedThreadPoolTaskExecutor).
 * Supplier for decorated single thread artifactory executor
 * When the package handler will get separated to a different service, it will maintain its own executors.
 */
public interface PackageTaskExecutorSupplier {

    ConcurrentTaskExecutor getDefaultTaskExecutor();

    /**
     * If you are using this method - you should take care to shutdown the returned executor
     * @param maxThreads - max threads for the executor
     */
    AbstractExecutorService createCustomTaskExecutor(int maxThreads);

}
