/*
 *
 * Copyright 2018 JFrog Ltd. All rights reserved.
 * JFROG PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package org.artifactory.core.api.ph.vcs.git;

/**
 * @author Shay Yaakov
 */
public class GitRef {
    public String name;
    public String commitId;
    public boolean isBranch;

    public GitRef() {
        // For jackson
    }

    public GitRef(String name, String commitId, boolean isBranch) {
        this.name = name;
        this.commitId = commitId;
        this.isBranch = isBranch;
    }

    public String filename(String gitRepo, String ext) {
        String branchTag = isBranch ? this.name + "-" + commitId : this.name;
        return gitRepo + "-" + branchTag + "." + ext;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        GitRef gitRef = (GitRef) o;

        if (isBranch != gitRef.isBranch) {
            return false;
        }
        if (commitId != null ? !commitId.equals(gitRef.commitId) : gitRef.commitId != null) {
            return false;
        }
        return name != null ? name.equals(gitRef.name) : gitRef.name == null;
    }

    @Override
    public int hashCode() {
        int result = name != null ? name.hashCode() : 0;
        result = 31 * result + (commitId != null ? commitId.hashCode() : 0);
        result = 31 * result + (isBranch ? 1 : 0);
        return result;
    }
}
