package org.artifactory.core.api.ph.virtual.resolution;

import com.google.common.collect.LinkedHashMultimap;
import com.google.common.collect.SetMultimap;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.io.InputStream;
import java.util.Map;

/**
 * Upload context for package upload requests
 **/
public interface PackageUploadContext {

    @Nonnull
    String getRepoKey();

    @Nonnull
    String getPath();

    @Nonnull
    default Map<String, String> getRequestHeaders() {
        return Map.of();
    }

    @Nonnull
    default SetMultimap<String, String> getAttributes() {
        return LinkedHashMultimap.create();
    }

    @Nullable
    InputStream getContent();

    long getContentLength();

    @Nullable
    String getSha1();

    @Nullable
    String getSha256();

    @Nullable
    String getMd5();

}
