package org.artifactory.storage.db.upgrades.itest.version;

import org.artifactory.storage.db.upgrades.common.UpgradeBaseTest;
import org.artifactory.storage.db.version.ArtifactoryDBVersion;
import org.jfrog.converter.model.ChangeLogContext;
import org.junit.Assert;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.io.IOException;
import java.sql.SQLException;

import static org.artifactory.storage.db.version.ArtifactoryDBVersion.v128;
import static org.artifactory.storage.db.version.ArtifactoryDBVersion.v130;

/**
 * @author Eli Skoran
 */
public class V130AddReleaseBundleKeepColumnTest extends UpgradeBaseTest {

    @BeforeMethod
    public void setup() throws IOException, SQLException {
        resetToVersion(v128);
    }

    @Test
    public void testUpgrade() throws SQLException, IOException {
        Assert.assertFalse(columnExists("artifact_bundles", "keep"));

        try (ChangeLogContext context = new ChangeLogContext(jdbcHelper.getDataSource().getConnection(),
                dbProperties.getDbType(), v130)) {
            v130.converter().convert(context);
        }

        Assert.assertTrue(columnExists("artifact_bundles", "keep"));
        Assert.assertEquals(5, columnSize("artifact_bundles", "keep"));
    }

    @Override
    protected ArtifactoryDBVersion upToVersion() {
        return v130;
    }
}
