package org.artifactory.webapp.servlet.model;

import lombok.Getter;
import org.artifactory.authentication.ArtifactoryAuthenticationFilter;
import org.jetbrains.annotations.NotNull;
import org.springframework.security.core.Authentication;

import javax.servlet.FilterChain;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

/**
 * @author shahafg
 */
@Getter
public class ArtifactoryFilterHolderImpl implements ArtifactoryFilterHolder {

    public final ArtifactoryAuthenticationFilter filter;

    public ArtifactoryFilterHolderImpl(@NotNull ArtifactoryAuthenticationFilter filter) {
        this.filter = filter;
    }

    public boolean isAnonymousAllowed() {
        return false;
    }

    @Override
    public String getCacheKey(ServletRequest request) {
        return filter.getCacheKey(request);
    }

    @Override
    public String getLoginIdentifier(ServletRequest request) {
        return filter.getLoginIdentifier(request);
    }

    @Override
    public boolean isAcceptedFilter(ServletRequest request) {
        return filter.acceptFilter(request);
    }

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
            throws IOException, ServletException {
        filter.doFilter(request, response, chain);
    }

    @Override
    public boolean doesRequireReAuthentication(ServletRequest request, Authentication authentication) {
        return filter.requiresReAuthentication(request, authentication);
    }
}
